You are Here:
Download Linux Lite 5.2 today - See Release Announcements



GZDoom not starting up

Author (Read 3789 times)

0 Members and 1 Guest are viewing this topic.

GZDoom not starting up
« on: September 05, 2014, 06:23:36 AM »
 

Cobra!

  • New to Forums
  • *
  • 27
    Posts
  • Reputation: 0
  • A.K.A. Sharko
    • Gamerstorm Official Website
I'm trying to play GZDoom on Linux Lite but I'm getting an error saying my OpenGL is not supported, and I'm getting a "Segmentation Fault", here's the terminal output:
Code: [Select]
GZDoom <unknown version> -  - SDL version
Compiled on Aug 19 2014
Using video driver x11

M_LoadDefaults: Load system defaults.
Gameinfo scan took 0 ms

(gzdoom:4132): Gtk-WARNING **: Unable to locate theme engine in module_path: "xfce",
W_Init: Init WADfiles.
 adding /usr/lib/games/gzdoom/gzdoom.pk3, 586 lumps
 adding /home/cobradabest/.config/gzdoom/DOOM2.WAD, 2919 lumps
I_Init: Setting up machine state.
CPU Vendor ID: AuthenticAMD
  Name: AMD E-300 APU with Radeon(tm) HD Graphics
  Family 20 (20), Model 2, Stepping 0
  Features: MMX MMX+ SSE SSE2 SSE3 SSSE3
I_InitSound: Initializing FMOD
FMOD Sound System, copyright � Firelight Technologies Pty, Ltd., 1994-2009.
Loaded FMOD version 4.44.41
   V_Init: allocate screen.
S_Init: Setting up sound.
ST_Init: Init startup screen.
Checking cmd-line parameters...
S_InitData: Load sound definitions.
G_ParseMapInfo: Load map definitions.
Texman.Init: Init texture manager.
ParseTeamInfo: Load team definitions.
LoadActors: Load actor definitions.
R_Init: Init Doom refresh subsystem.
DecalLibrary: Load decals.
M_Init: Init menus.
P_Init: Init Playloop state.
ParseSBarInfo: Loading default status bar definition.
ParseSBarInfo: Loading custom status bar definition.
D_CheckNetGame: Checking network game status.
player 1 of 1 (1 nodes)
Unsupported OpenGL version.
At least OpenGL 3.3 is required to run GZDoom.



*** Fatal Error ***
Segmentation fault (signal 11)
Address: (nil)

!!! Could not create zdoom-crash.log following signal
Segmentation fault

Here's what I got when I put in "glxinfo | grep version":
Code: [Select]
server glx version string: 1.4
client glx version string: 1.4
GLX version: 1.4
OpenGL core profile version string: 3.3 (Core Profile) Mesa 10.1.3
OpenGL core profile shading language version string: 3.30
OpenGL version string: 3.0 Mesa 10.1.3
OpenGL shading language version string: 1.30
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 10.1.3
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.0

I would check the programs crash log, but I don't know where to look and the terminal output said one couldn't be made.

So what do I do? How do I fix it?
Last Edit: January 15, 2015, 09:56:28 AM by Scott(0)
 


Tags:
 


Download Linux Lite 5.2 today - See Release Announcements